
const timeZone = "US/Eastern"

module.exports = function (moment, time, price, trade) {

    const mTime = moment.tz(time, timeZone)

    const trade_mTime = moment.tz(trade.time, timeZone)

    if (!mTime.isSame(trade_mTime, 'day')) {
        const plPerShare = ((price - trade.price) / Math.abs(trade.price))
        trade.profitLoss = plPerShare * trade.position
        trade.status = "closed"
    }
}