
const timeZone = "US/Eastern"

module.exports = function (moment, time, price, trade) {

    const tradeRiskRate = 0.01

    // limit
    const tradeLimitPrice = trade.price + (trade.price * tradeRiskRate)
    if (price >= tradeLimitPrice) {
        const plPerShare = tradeRiskRate
        trade.profitLoss = plPerShare * trade.position
        trade.status = "closed"
        return
    }

    // stop
    const tradeStopPrice = trade.price - (trade.price * tradeRiskRate)
    if (price <= tradeStopPrice) {
        const plPerShare = -tradeRiskRate
        trade.profitLoss = plPerShare * trade.position
        trade.status = "closed"
        return
    }
}